{% extends './subviews/usersmanage/settings/TULAM_setting_default.twig' %}

{% block input %}
  {{ C.Html.checkBox(
    'tokenattribute[' ~ attribute ~ ']',
    oUserToken[attribute],
    ({
      'class' : 'form-checkbox',
      'value' : '1',
      'uncheckValue' : '',
      'disabled' : attributeData.disabled
    })
  )}}
  {% if attributeData.useAttributeRestricted and attributeData.tokenAttributeRestrictedResponses %}
    <div class="help-block tulam-select2-group tulam-restrict-group" data-related-checkbox="tokenattribute_{{ attribute }}">
      <label for='{{ attribute }}_restrictions_{{ originalSurveyId }}'>{{ language['Manage restrictions'] }}</label>
        {% if(attributeData.allowAllAttributeRestricted) %}
          <div>
            <label>{{ C.Html.checkBox(
              attribute ~ '[allaccess][' ~ originalSurveyId ~']',
              attributeData.tokenAttributeRestrictedResponses.allaccess,
              ({
                'id' : attribute ~ '_allaccess_' ~ originalSurveyId ,
                'class' : 'form-checkbox',
                'value' : 'allaccess',
                'uncheckValue' : ''
              })
            )}} {{ language['Give all access'] }}</label>
            <p class="help-block form-control-static" data-related-checkbox="{{attribute}}_allaccess_{{originalSurveyId}}">{{ language['User will have access to all the answers. The current ones and the future ones.'] }}</label>
          </div>
        {% endif %}
      <div data-related-checkbox-inverse="{{attribute}}_allaccess_{{originalSurveyId}}">
        {{ C.Html.dropDownList(
          attribute ~ '[restrictions][' ~ originalSurveyId ~']',
          attributeData.tokenAttributeRestrictedResponses.access,
          attributeData.tokenAttributeRestrictedResponses.responses,
          ({
            'class' : 'form-control tulam-form-select2',
            'id' : attribute ~ '_restrictions_' ~ originalSurveyId,
            'multiple' : 1,
            'placeholder' : language['No access'],
            'disabled' : attributeData.disabled
          })
        ) }}
      </div>
    </div>
  {% elseif count(attributeData.tokenAttributeRestrictedSurveys) %}
      <div class="help-block tulam-select2-group tulam-restrict-group" data-related-checkbox="tokenattribute_{{ attribute }}">
        <strong>{{ language['Manage restrictions'] }}</strong>
        <ul class="list-group">{% for sid, aRestrictedSurvey in attributeData.tokenAttributeRestrictedSurveys %}
          <li class="list-group-item"><label for='{{ attribute }}_restrictions_{{ sid }}'>{{ aRestrictedSurvey.title }}</label>
            {% if(aRestrictedSurvey.allowallaccess) %}
              <div>
                <label>{{ C.Html.checkBox(
                  attribute ~ '[allaccess][' ~ sid ~']',
                  aRestrictedSurvey.allaccess,
                  ({
                    'id' : attribute ~ '_allaccess_' ~ sid ~ '',
                    'class' : 'form-checkbox',
                    'value' : 'allaccess',
                    'uncheckValue' : ''
                  })
                )}} {{ language['Give all access'] }}</label>
                <p class="help-block form-control-static" data-related-checkbox="{{attribute}}_allaccess_{{sid}}">{{ language['User will have access to all the answers. The current ones and the future ones.'] }}</label>
              </div>
            {% endif %}
            {% if aRestrictedSurvey.responses %}
              <div data-related-checkbox-inverse="{{attribute}}_allaccess_{{sid}}">
                {{ C.Html.dropDownList(
                  attribute ~ '[restrictions][' ~ sid ~']',
                  aRestrictedSurvey.access,
                  aRestrictedSurvey.responses,
                  ({
                    'class' : 'form-control tulam-form-select2',
                    'id' : attribute ~ '_restrictions_' ~ sid,
                    'multiple' : 1,
                    'placeholder' : language['No access'],
                    'unselectValue' : "",
                    'disabled' : attributeData.disabled,
                  })
                ) }}
              </div>
            {% else %}
              <div class="form-control-static" data-related-checkbox-inverse="{{attribute}}_allaccess_{{sid}}">{{ language['No response'] }}</div>
            {% endif %}
          </li>
          {% endfor %}
        </ul>
      </div>
  {% endif %}
{% endblock %}

